summaryrefslogtreecommitdiffstats
path: root/test/units/TEST-66-DEVICE-ISOLATION.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/units/TEST-66-DEVICE-ISOLATION.sh')
-rwxr-xr-xtest/units/TEST-66-DEVICE-ISOLATION.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/test/units/TEST-66-DEVICE-ISOLATION.sh b/test/units/TEST-66-DEVICE-ISOLATION.sh
new file mode 100755
index 0000000..ccdfcb2
--- /dev/null
+++ b/test/units/TEST-66-DEVICE-ISOLATION.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -eux
+set -o pipefail
+
+RESULTS_FILE=/tmp/TEST-66-DEVICE-ISOLATION.serviceresults
+
+systemd-analyze log-level debug
+
+systemctl start TEST-66-DEVICE-ISOLATION-device-isolation.service
+
+sleep 5
+grep -q "Operation not permitted" "$RESULTS_FILE"
+
+systemctl daemon-reload
+systemctl daemon-reexec
+
+systemctl stop TEST-66-DEVICE-ISOLATION-device-isolation.service
+
+grep -q "thisshouldnotbehere" "$RESULTS_FILE" && exit 42
+
+systemd-analyze log-level info
+
+touch /testok